/*
 * Context.java
 *
 * Created on 12 de marzo de 2007, 08:45 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
 
package com.fidufosyga.context;

import java.util.HashMap;
import java.util.Map;

/**
 * 
 * @author Julian
 */
public class Context {
	public static final String MODELO_ARCHIVO_ACTUAL = "MODELO_ARCHIVO_ACTUAL";

	public static final String TIPO_FORMULARIO = "TIPO_FORMULARIO";

	public static final String FORMULARIO = "FORMULARIO";

	public static final String ARCHIVO_ACTUAL = "ARCHIVO_ACTUAL";

	public static final String NUMERO_CAMPOS = "NUMERO_CAMPOS";

	public static final String TIPO_ARCHIVO = "TIPO_ARCHIVO";

	public static final String NOMBRE_ARCHIVO = "NOMBRE_ARCHIVO";

	public static final String DIRECTORIO_SALIDA = "DIRECTORIO_SALIDA";

	public static final String STATUS_VALIDACION = "STATUS_VALIDACION";

	public static final String BUILD = "BUILD";

	public static final String VERSION = "VERSION";

	public static final String PROPERTIES = "PROPERTIES";

	public static final Integer STATUS_INICIADO = new Integer(0);

	public static final Integer STATUS_CANCELADO = new Integer(1);

	public static final Integer STATUS_TERMINADO = new Integer(2);

	public static final Integer STATUS_TERMINADO_ERROR = new Integer(3);

	public static final String VERSION_MALLA = "5.12";

	private Map<String, Object> map = new HashMap<String, Object>();

	private static Context ctx = new Context();

	private Context() {

	}

	public static Context getContext() {
		return ctx;
	}

	public void addAttribute(String key, Object val) {
		map.put(key, val);
	}

	public Object getAttribute(String key) {
		return map.get(key);
	}

	public Object removeAttribute(String key) {
		return map.remove(key);

	}
}
